package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
* @author zx
* @date 2021/9/26 15:52
*/
public class DoubleEleven2021QueryInfo extends QueryInfo {

    private String organId;

    @ApiModelProperty(value = "购买的活动类型1、1v1 20节，2、1v1 40节，3、1v2 20节，4、1v2 40节，5、乐理课",required = false)
    private Integer type;

    private Date startTime;

    private Date endTime;

    private Boolean giveMemberFlag;

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Boolean getGiveMemberFlag() {
        return giveMemberFlag;
    }

    public void setGiveMemberFlag(Boolean giveMemberFlag) {
        this.giveMemberFlag = giveMemberFlag;
    }
}
